built by solve-studio

Privacy·Terms

Loop Developers
Loop Developers
API ReferenceMCPDashboard

Introduction

Loop Developer APIGetting Started

Reference

API ReferenceProjectsFeedbackCommentsBoardsTicketsClients
MCP ServerMCP SetupMCP Tools

Other

Rate Limits
API Reference

Feedback

List, retrieve, update, and delete feedback items.

List feedback

Returns feedback items with optional filters and pagination.

GET /api/v1/feedback

Query parameters

ParameterTypeDefaultDescription
project_idstring—Filter by project
statusstring—Filter by status: new, in_progress, review, done
typestring—Filter by type: bug, feature, general
limitnumber50Results per page (max 100)
offsetnumber0Items to skip

Response

{
  "data": [
    {
      "id": "fb-001",
      "project_id": "proj-001",
      "title": "Button colour is wrong on mobile",
      "description": "The CTA button appears grey instead of blue on iOS Safari",
      "status": "new",
      "type": "bug",
      "page_url": "https://example.com/pricing",
      "reporter_name": "Jane Smith",
      "reporter_email": "jane@client.com",
      "screenshot_url": "https://storage.supabase.co/...",
      "recording_url": null,
      "position": 0,
      "created_at": "2025-06-20T14:22:00Z"
    }
  ],
  "meta": { "total": 1, "limit": 50, "offset": 0 }
}

Example

# Get all new bugs for a specific project
curl -H "Authorization: Bearer $TOKEN" \
  "https://loop.solve-studio.co/api/v1/feedback?project_id=proj-001&status=new&type=bug"

Get feedback

Retrieve a single feedback item with all fields.

GET /api/v1/feedback/:id

Path parameters

ParameterTypeDescription
idstringFeedback ID

Response

Returns the complete feedback object including annotations, browser_info, screenshot_url, and recording_url.

Errors

StatusError
404Feedback not found

Update feedback

Update a feedback item's fields.

PATCH /api/v1/feedback/:id

Path parameters

ParameterTypeDescription
idstringFeedback ID

Request body

FieldTypeDescription
statusstringNew status: new, in_progress, review, done
titlestringUpdated title
descriptionstringUpdated description
typestringUpdated type: bug, feature, general

All fields are optional. At least one must be provided.

Example

curl -X PATCH \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"status": "in_progress"}' \
  https://loop.solve-studio.co/api/v1/feedback/fb-001

Response

Returns the updated feedback object.

Errors

StatusError
400No valid fields to update / Invalid status or type
404Feedback not found

Delete feedback

Permanently delete a feedback item.

DELETE /api/v1/feedback/:id

Path parameters

ParameterTypeDescription
idstringFeedback ID

Response

{
  "data": { "deleted": true }
}

Errors

StatusError
404Feedback not found

Projects

List and retrieve projects in your organisation.

Comments

List and create comments on feedback items.

On this page

List feedbackQuery parametersResponseExampleGet feedbackPath parametersResponseErrorsUpdate feedbackPath parametersRequest bodyExampleResponseErrorsDelete feedbackPath parametersResponseErrors